<?php

   ini_set("display_errors", "off"); 
	//Código para incluir las librerias
	 include_once("conexion.php");
	 

	 //Conexión con el servidor
	  $link=ConectarseServidor();

	 //Conexión con la base de datos
	  ConectarseBaseDatos($link);
 
	  
	  //realiza consulta a la base de datos
	  $sql = "select * from usuario"; 
     
	 	 
     $result=mysql_query($sql,$link);
	   
	   
     //crea nombre del archivo excel
    $nomArchivo = "ListadoUser.csv";
	
	//permite lecto escritura (w+)
	$arch = fopen($nomArchivo,"w+");
	

	//pinta las columnas del excel (los encabezados)
	fwrite($arch,"login;clave;nombre;apellido;direccion;telefono;celular;email"."\n");	
     
		 
	 //almacena en vector la informacion
	 while ($row = mysql_fetch_array($result)){
		
fwrite($arch,$row["login"].";".$row["clave"].";".$row["nombre"].";".$row["apellido"].";".$row["direccion"].";". $row["telefono"].";".$row["celular"].";".$row["email"]."\n");	
				
	}//fin del while
		
	//permite descargar Archivo de excel
	$basefichero = basename("ListadoUser.csv");

	header( "Content-Type: application/octet-stream");
	header( "Content-Length: ".filesize("ListadoUser.csv"));
	header( "Content-Disposition: attachment; filename=".$basefichero."");
	readfile("ListadoUser.csv");	
			 
	 //cierra el archivo
	 fclose($arch);
		
	 //libera memoria
	 mysql_free_result ($result);

		
	 	
?>